Last Comment Bug 822547 - jobqueue.pl should clear the request cache before sending each mail
: jobqueue.pl should clear the request cache before sending each mail
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Email Notifications (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Bugzilla 4.4
Assigned To: Byron Jones ‹:glob›
: default-qa
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-17 21:10 PST by Byron Jones ‹:glob›
Modified: 2013-01-02 08:53 PST (History)
1 user (show)
LpSolit: approval+
LpSolit: approval4.4+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (1.33 KB, patch)
2012-12-17 21:46 PST, Byron Jones ‹:glob›
dkl: review+
Details | Diff | Splinter Review

Description Byron Jones ‹:glob› 2012-12-17 21:10:10 PST
currently the request_cache exists for the lifetime of the jobqueue daemon.  this is problematic for operations which are cached, such as adding custom fields.

we should treat each theschwartz job as a 'request', and clear the request_cache before each job is processed.
Comment 1 Byron Jones ‹:glob› 2012-12-17 21:46:52 PST
Created attachment 693244 [details] [diff] [review]
patch v1
Comment 2 David Lawrence [:dkl] 2012-12-19 08:35:50 PST
Comment on attachment 693244 [details] [diff] [review]
patch v1

Review of attachment 693244 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good and works as expected. r=dkl
Comment 3 Byron Jones ‹:glob› 2013-01-02 08:33:46 PST
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla.pm
modified Bugzilla/JobQueue.pm
Committed revision 8540.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/4.4/
modified Bugzilla.pm
modified Bugzilla/JobQueue.pm
Committed revision 8494.
Comment 4 Byron Jones ‹:glob› 2013-01-02 08:53:39 PST
fix pod coverage bustage:

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla.pm
modified t/011pod.t
Committed revision 8541.

Note You need to log in before you can comment on or make changes to this bug.